drop table auth_table;
drop table students;
drop table faculty;
drop table thesis;
drop table thesis_deadline;
drop table student_faculty;
drop table student_thesis;
drop table department;
drop table types;

create table auth_table
( constraint pk_auth_table primary key (login),
  login varchar(10)  not null,
  password varchar(10),
  dno varchar(10), 
  type varchar(15));  

create table student_faculty
( constraint pk_student_faculty primary key (sroll,loginid,type),
  sroll varchar(10)  not null, 
  loginid varchar(10)  not null,
  type  varchar(10) not null,
  co_loginid varchar(10));  
  
create table department 
( constraint pk_department primary key (dno),
  dno varchar(10) not null, 
  dname varchar(60));

create table students 
( constraint pk_student primary key (sroll),
  sroll varchar(10)  not null, 
  sname varchar(30),
  dno varchar(10), 
  saddress varchar(200),
  semail varchar(40),
  constraint fk_studdno foreign key (dno) references department 
  );

create table faculty
( constraint pk_faculty primary key (loginid),
  loginid varchar(10)  not null, 
  fname varchar(30),
  dno varchar(10), 
  femail varchar(40),
  constraint fk_facdno foreign key (dno) references department 
  );

  
create table thesis
( constraint pk_thesis primary key (serialno),
  serialno integer not null,
  title varchar(100),
  type  varchar(10),
  keyword1 varchar(20),
  keyword2 varchar(20),
  keyword3 varchar(20),
  keyword4 varchar(20),
  filename varchar(20),
  year     varchar(4),
  abstract varchar(1000),
  status   varchar(1));

create table thesis_deadline
( constraint pk_thesis_deadline primary key (type,dno),
  type  varchar(10),
  dno varchar(10) , 
  deadline date ,
  constraint fk_the_deadline_dno foreign key (dno) references department );


create table student_thesis
( constraint pk_student_thesis primary key (sroll,serialno,type),
  serialno integer not null ,
  sroll varchar(10)  not null,
  type varchar(20) not null);


create table types
( type varchar(20));
